org.opengis.cite.ogcapifeatures10.conformance.crs.query.bboxcrs

## Class AbstractBBoxCrs

- java.lang.Object
- - org.opengis.cite.ogcapifeatures10.conformance.CommonFixture
  - - org.opengis.cite.ogcapifeatures10.conformance.crs.query.bboxcrs.AbstractBBoxCrs

- Direct Known Subclasses:
    BBoxCrsParameter, BBoxCrsParameterDefault, BBoxCrsParameterInvalid

      public class AbstractBBoxCrs
      extends CommonFixture

  Author:
    Lyn Goltz

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `BBOX_CRS_PARAM`
    `static String` | `BBOX_PARAM`
    `protected Map<String,List<CoordinateSystem>>` | `collectionIdToCrs`
    `protected Map<String,CoordinateSystem>` | `collectionIdToDefaultCrs`
    `protected Map<String,io.restassured.path.json.JsonPath>` | `collectionsResponses`

    - ### Fields inherited from class org.opengis.cite.ogcapifeatures10.conformance.CommonFixture

      `requestLoggingFilter, responseLoggingFilter, rootUri`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractBBoxCrs()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) void` | `assertSameFeatures(io.restassured.path.json.JsonPath responseWithBBox, io.restassured.path.json.JsonPath responseWithoutBBox)`
    `void` | `retrieveRequiredInformationFromTestContext(org.testng.ITestContext testContext)`

    - ### Methods inherited from class org.opengis.cite.ogcapifeatures10.conformance.CommonFixture

      `clearMessages, getRequest, getResponse, init, initCommonFixture`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### BBOX_PARAM

          public static final String BBOX_PARAM

      See Also:
        Constant Field Values

    - #### BBOX_CRS_PARAM

          public static final String BBOX_CRS_PARAM

      See Also:
        Constant Field Values

    - #### collectionsResponses

          protected Map<String,io.restassured.path.json.JsonPath> collectionsResponses

    - #### collectionIdToCrs

          protected Map<String,List<CoordinateSystem>> collectionIdToCrs

    - #### collectionIdToDefaultCrs

          protected Map<String,CoordinateSystem> collectionIdToDefaultCrs

  - ### Constructor Detail

    - #### AbstractBBoxCrs

          public AbstractBBoxCrs()

  - ### Method Detail

    - #### retrieveRequiredInformationFromTestContext

          public void retrieveRequiredInformationFromTestContext(org.testng.ITestContext testContext)

    - #### assertSameFeatures

          void assertSameFeatures(io.restassured.path.json.JsonPath responseWithBBox,
                                  io.restassured.path.json.JsonPath responseWithoutBBox)

Copyright © 2021 Open Geospatial Consortium. All rights reserved.